Skip to main content
PUT
Update a department

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
custom_id
string | null
name
string
maximum_absent
integer
Required range: -9007199254740991 <= x <= 9007199254740991
approval_process
enum<string>
Available options:
Linear_all_have_to_agree,
Linear_one_has_to_agree,
Parallel_all_have_to_agree,
Parallel_one_has_to_agree
manager_member
object[]
default_department_allowances
object[]

A non-empty array replaces the department's default allowances. Omit the field to leave them untouched; an empty array is ignored, not a reset.

Response

Successful response

The response is of type string<uuid>.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$